Pause Execution
curl --request POST \
--url https://control-plane.kubiya.ai/api/v1/executions/{execution_id}/pause \
--header 'Authorization: Bearer <token>'import requests
url = "https://control-plane.kubiya.ai/api/v1/executions/{execution_id}/pause"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://control-plane.kubiya.ai/api/v1/executions/{execution_id}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Pause Execution
Pause an active execution by sending a signal to the Temporal workflow.
This is triggered when the user clicks the PAUSE button in the UI. The workflow will stop processing but remain active and can be resumed.
POST
/
api
/
v1
/
executions
/
{execution_id}
/
pause
Pause Execution
Was this page helpful?
⌘I